#ifndef ParallelWorldMessenger_h
#define ParallelWorldMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class ParallelWorldConstruction;
class G4UIdirectory;
class G4UIcmdWithAString;
class G4UIcmdWithADoubleAndUnit;

class ParallelWorldMessenger: public G4UImessenger
{
public:
  ParallelWorldMessenger( ParallelWorldConstruction* );
  ~ParallelWorldMessenger();

  virtual void SetNewValue( G4UIcommand*, G4String );

private:
  ParallelWorldConstruction*      fParaWorldConstruction;
  G4UIdirectory*                  fParallelDir;
  G4UIcmdWithAString*             fDetCmd;
  G4UIcmdWithADoubleAndUnit*      fDetSpacingCmd;
  G4UIcmdWithADoubleAndUnit*      fDetDistanceCmd;

};

#endif
