//
// Created by Matthieu Hentz on 14/02/2018.
//

#ifndef RunActionMessenger_h
#define RunActionMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class RunAction;
class G4UIdirectory;
class G4UIcmdWithAnInteger;
class G4UIcmdWithABool;
class G4UIcmdWithADouble;

class RunActionMessenger: public G4UImessenger
{
public:
  RunActionMessenger( RunAction* );
  ~RunActionMessenger();

  virtual void SetNewValue( G4UIcommand*, G4String );

private:
  RunAction*              fRunAction;
  G4UIdirectory*          fRunActionDir;
  G4UIcmdWithAnInteger*   fBufferCmd;
  G4UIcmdWithABool*       fDumpModeCmd;
  G4UIcmdWithADouble*     fDetSpacingCmd;
  G4UIcmdWithADouble*     fDetDistanceCmd;
  G4UIcmdWithADouble*     fDetPositionCmd;

};

#endif
