// M Hentz, 2018

#ifndef EventActionMessenger_h
#define EventActionMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class EventAction;
class G4UIdirectory;
class G4UIcmdWithAString;
class G4UIcmdWithAnInteger;

class EventActionMessenger: public G4UImessenger
{
public:
  EventActionMessenger(EventAction*);
  ~EventActionMessenger();

  virtual void SetNewValue(G4UIcommand*, G4String);

private:
  EventAction*          fEventAction;
  G4UIdirectory*        fEventDir;
  G4UIcmdWithAString*   fDrawCmd;
  G4UIcmdWithAnInteger* fPrintCmd;
};

#endif
