#ifndef PrimaryGeneratorMessenger_h
#define PrimaryGeneratorMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class PrimaryGeneratorAction;
class G4UIdirectory;
class G4UIcmdWithAString;
class G4UIcmdWithADouble;

class PrimaryGeneratorMessenger: public G4UImessenger
{
public:
  PrimaryGeneratorMessenger( PrimaryGeneratorAction* );
  ~PrimaryGeneratorMessenger();
  
  virtual void SetNewValue( G4UIcommand*, G4String );
  
private:
  PrimaryGeneratorAction*          fPrimaryGenAction;
  G4UIdirectory*                   fPrimaryGenDir;
  G4UIcmdWithAString*              fReadCmd;
  G4UIcmdWithADouble*              fGenerateCmd;
  
};

#endif
